Update License Key

Added in v1.0
PUT https://api.example.com/api/keys/{id}
Requires authentication: x-api-key: YOUR_API_KEY

Updates an existing license key details. Content defaults to existing data if not provided in the body. Returns updated key object.

Path parameters

  • key string required
    The license key, as shown on the license page on the website.

Body parameters

  • disabled boolean optional
    Determines if the license key is force disabled. Defaults to false.
  • ip string optional
    The authorised IP address for the license key to pass authentication.
  • locked boolean optional
    Determines if the license key is force disabled. Defaults to false.

Responses

  • 200OK
  • 400Not Found
Request
curl -X PUT 'https://api.example.com/api/keys/{id}' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "disabled": false,
  "ip": "203.0.113.10",
  "locked": true
}'
Response
OK
{
  "id": 1,
  "uuid": "123",
  "product": 456,
  "key": "0190a5f3-7c1e-7b2a-9d4e-3f8a6c1b2d90",
  "ip": "192.168.0.1",
  "status": true,
  "disabled": false,
  "locked": true,
  "lastSeen": 1790000000000
}